# Interface InstructionConstants

All Known Implementing Classes:
  `InstructionFactory, PUSH`

@Deprecated public interface InstructionConstants
Deprecated.
(since 6.0) Do not use. Use `InstructionConst` instead.
Contains shareable instruction objects.

In order to save memory you can use some instructions multiply, since they have an immutable state and are directly derived from Instruction. I.e. they have no instance fields that could be changed. Since some of these instructions like ICONST_0 occur very frequently this can save a lot of time and space. This feature is an adaptation of the FlyWeight design pattern, we just use an array instead of a factory.

The Instructions can also accessed directly under their names, so it's possible to write il.append(Instruction.ICONST_0);

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static class`
  `InstructionConstants.Clinit`
  Deprecated.
  Consider private.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final ArrayInstruction`
  `AALOAD`
  Deprecated.
  Use `InstructionConst.AALOAD`.
  `static final ArrayInstruction`
  `AASTORE`
  Deprecated.
  Use `InstructionConst.AASTORE`.
  `static final Instruction`
  `ACONST_NULL`
  Deprecated.
  Use `InstructionConst.ACONST_NULL`.
  `static final LocalVariableInstruction`
  `ALOAD_0`
  Deprecated.
  Use `InstructionConst.ALOAD_0`.
  `static final LocalVariableInstruction`
  `ALOAD_1`
  Deprecated.
  Use `InstructionConst.ALOAD_1`.
  `static final LocalVariableInstruction`
  `ALOAD_2`
  Deprecated.
  Use `InstructionConst.ALOAD_2`.
  `static final ReturnInstruction`
  `ARETURN`
  Deprecated.
  Use `InstructionConst.ARETURN`.
  `static final Instruction`
  `ARRAYLENGTH`
  Deprecated.
  Use `InstructionConst.ARRAYLENGTH`.
  `static final LocalVariableInstruction`
  `ASTORE_0`
  Deprecated.
  Use `InstructionConst.ASTORE_0`.
  `static final LocalVariableInstruction`
  `ASTORE_1`
  Deprecated.
  Use `InstructionConst.ASTORE_1`.
  `static final LocalVariableInstruction`
  `ASTORE_2`
  Deprecated.
  Use `InstructionConst.ASTORE_2`.
  `static final Instruction`
  `ATHROW`
  Deprecated.
  Use `InstructionConst.ATHROW`.
  `static final ArrayInstruction`
  `BALOAD`
  Deprecated.
  Use `InstructionConst.BALOAD`.
  `static final ArrayInstruction`
  `BASTORE`
  Deprecated.
  Use `InstructionConst.BASTORE`.
  `static final InstructionConstants.Clinit`
  `bla`
  Deprecated.
  Interfaces may have no static initializers, so we simulate this with an inner class.
  `static final ArrayInstruction`
  `CALOAD`
  Deprecated.
  Use `InstructionConst.CALOAD`.
  `static final ArrayInstruction`
  `CASTORE`
  Deprecated.
  Use `InstructionConst.CASTORE`.
  `static final ConversionInstruction`
  `D2F`
  Deprecated.
  Use `InstructionConst.D2F`.
  `static final ConversionInstruction`
  `D2I`
  Deprecated.
  Use `InstructionConst.D2I`.
  `static final ConversionInstruction`
  `D2L`
  Deprecated.
  Use `InstructionConst.D2L`.
  `static final ArithmeticInstruction`
  `DADD`
  Deprecated.
  Use `InstructionConst.DADD`.
  `static final ArrayInstruction`
  `DALOAD`
  Deprecated.
  Use `InstructionConst.DALOAD`.
  `static final ArrayInstruction`
  `DASTORE`
  Deprecated.
  Use `InstructionConst.DASTORE`.
  `static final Instruction`
  `DCMPG`
  Deprecated.
  Use `InstructionConst.DCMPG`.
  `static final Instruction`
  `DCMPL`
  Deprecated.
  Use `InstructionConst.DCMPL`.
  `static final Instruction`
  `DCONST_0`
  Deprecated.
  Use `InstructionConst.DCONST_0`.
  `static final Instruction`
  `DCONST_1`
  Deprecated.
  Use `InstructionConst.DCONST_1`.
  `static final ArithmeticInstruction`
  `DDIV`
  Deprecated.
  Use `InstructionConst.DDIV`.
  `static final ArithmeticInstruction`
  `DMUL`
  Deprecated.
  Use `InstructionConst.DMUL`.
  `static final ArithmeticInstruction`
  `DNEG`
  Deprecated.
  Use `InstructionConst.DNEG`.
  `static final ArithmeticInstruction`
  `DREM`
  Deprecated.
  Use `InstructionConst.DREM`.
  `static final ReturnInstruction`
  `DRETURN`
  Deprecated.
  Use `InstructionConst.DRETURN`.
  `static final ArithmeticInstruction`
  `DSUB`
  Deprecated.
  Use `InstructionConst.DSUB`.
  `static final StackInstruction`
  `DUP`
  Deprecated.
  Use `InstructionConst.DUP`.
  `static final StackInstruction`
  `DUP_X1`
  Deprecated.
  Use `InstructionConst.DUP_X1`.
  `static final StackInstruction`
  `DUP_X2`
  Deprecated.
  Use `InstructionConst.DUP_X2`.
  `static final StackInstruction`
  `DUP2`
  Deprecated.
  Use `InstructionConst.DUP2`.
  `static final StackInstruction`
  `DUP2_X1`
  Deprecated.
  Use `InstructionConst.DUP2_X1`.
  `static final StackInstruction`
  `DUP2_X2`
  Deprecated.
  Use `InstructionConst.DUP2_X2`.
  `static final ConversionInstruction`
  `F2D`
  Deprecated.
  Use `InstructionConst.F2D`.
  `static final ConversionInstruction`
  `F2I`
  Deprecated.
  Use `InstructionConst.F2I`.
  `static final ConversionInstruction`
  `F2L`
  Deprecated.
  Use `InstructionConst.F2L`.
  `static final ArithmeticInstruction`
  `FADD`
  Deprecated.
  Use `InstructionConst.FADD`.
  `static final ArrayInstruction`
  `FALOAD`
  Deprecated.
  Use `InstructionConst.FALOAD`.
  `static final ArrayInstruction`
  `FASTORE`
  Deprecated.
  Use `InstructionConst.FASTORE`.
  `static final Instruction`
  `FCMPG`
  Deprecated.
  Use `InstructionConst.FCMPG`.
  `static final Instruction`
  `FCMPL`
  Deprecated.
  Use `InstructionConst.FCMPL`.
  `static final Instruction`
  `FCONST_0`
  Deprecated.
  Use `InstructionConst.FCONST_0`.
  `static final Instruction`
  `FCONST_1`
  Deprecated.
  Use `InstructionConst.FCONST_1`.
  `static final Instruction`
  `FCONST_2`
  Deprecated.
  Use `InstructionConst.FCONST_2`.
  `static final ArithmeticInstruction`
  `FDIV`
  Deprecated.
  Use `InstructionConst.FDIV`.
  `static final ArithmeticInstruction`
  `FMUL`
  Deprecated.
  Use `InstructionConst.FMUL`.
  `static final ArithmeticInstruction`
  `FNEG`
  Deprecated.
  Use `InstructionConst.FNEG`.
  `static final ArithmeticInstruction`
  `FREM`
  Deprecated.
  Use `InstructionConst.FREM`.
  `static final ReturnInstruction`
  `FRETURN`
  Deprecated.
  Use `InstructionConst.FRETURN`.
  `static final ArithmeticInstruction`
  `FSUB`
  Deprecated.
  Use `InstructionConst.FSUB`.
  `static final ConversionInstruction`
  `I2B`
  Deprecated.
  Use `InstructionConst.I2B`.
  `static final ConversionInstruction`
  `I2C`
  Deprecated.
  Use `InstructionConst.I2C`.
  `static final ConversionInstruction`
  `I2D`
  Deprecated.
  Use `InstructionConst.I2D`.
  `static final ConversionInstruction`
  `I2F`
  Deprecated.
  Use `InstructionConst.I2F`.
  `static final ConversionInstruction`
  `I2L`
  Deprecated.
  Use `InstructionConst.I2L`.
  `static final ConversionInstruction`
  `I2S`
  Deprecated.
  Use `InstructionConst.I2S`.
  `static final ArithmeticInstruction`
  `IADD`
  Deprecated.
  Use `InstructionConst.IADD`.
  `static final ArrayInstruction`
  `IALOAD`
  Deprecated.
  Use `InstructionConst.IALOAD`.
  `static final ArithmeticInstruction`
  `IAND`
  Deprecated.
  Use `InstructionConst.IAND`.
  `static final ArrayInstruction`
  `IASTORE`
  Deprecated.
  Use `InstructionConst.IASTORE`.
  `static final Instruction`
  `ICONST_0`
  Deprecated.
  Use `InstructionConst.ICONST_0`.
  `static final Instruction`
  `ICONST_1`
  Deprecated.
  Use `InstructionConst.ICONST_1`.
  `static final Instruction`
  `ICONST_2`
  Deprecated.
  Use `InstructionConst.ICONST_2`.
  `static final Instruction`
  `ICONST_3`
  Deprecated.
  Use `InstructionConst.ICONST_3`.
  `static final Instruction`
  `ICONST_4`
  Deprecated.
  Use `InstructionConst.ICONST_4`.
  `static final Instruction`
  `ICONST_5`
  Deprecated.
  Use `InstructionConst.ICONST_5`.
  `static final Instruction`
  `ICONST_M1`
  Deprecated.
  Use `InstructionConst.ICONST_M1`.
  `static final ArithmeticInstruction`
  `IDIV`
  Deprecated.
  Use `InstructionConst.IDIV`.
  `static final LocalVariableInstruction`
  `ILOAD_0`
  Deprecated.
  Use `InstructionConst.ILOAD_0`.
  `static final LocalVariableInstruction`
  `ILOAD_1`
  Deprecated.
  Use `InstructionConst.ILOAD_1`.
  `static final LocalVariableInstruction`
  `ILOAD_2`
  Deprecated.
  Use `InstructionConst.ILOAD_2`.
  `static final ArithmeticInstruction`
  `IMUL`
  Deprecated.
  Use `InstructionConst.IMUL`.
  `static final ArithmeticInstruction`
  `INEG`
  Deprecated.
  Use `InstructionConst.INEG`.
  `static final Instruction[]`
  `INSTRUCTIONS`
  Deprecated.
  Use `InstructionConst.INSTRUCTIONS`.
  `static final ArithmeticInstruction`
  `IOR`
  Deprecated.
  Use `InstructionConst.IOR`.
  `static final ArithmeticInstruction`
  `IREM`
  Deprecated.
  Use `InstructionConst.IREM`.
  `static final ReturnInstruction`
  `IRETURN`
  Deprecated.
  Use `InstructionConst.IRETURN`.
  `static final ArithmeticInstruction`
  `ISHL`
  Deprecated.
  Use `InstructionConst.ISHL`.
  `static final ArithmeticInstruction`
  `ISHR`
  Deprecated.
  Use `InstructionConst.ISHR`.
  `static final LocalVariableInstruction`
  `ISTORE_0`
  Deprecated.
  Use `InstructionConst.ISTORE_0`.
  `static final LocalVariableInstruction`
  `ISTORE_1`
  Deprecated.
  Use `InstructionConst.ISTORE_1`.
  `static final LocalVariableInstruction`
  `ISTORE_2`
  Deprecated.
  Use `InstructionConst.ISTORE_2`.
  `static final ArithmeticInstruction`
  `ISUB`
  Deprecated.
  Use `InstructionConst.ISUB`.
  `static final ArithmeticInstruction`
  `IUSHR`
  Deprecated.
  Use `InstructionConst.IUSHR`.
  `static final ArithmeticInstruction`
  `IXOR`
  Deprecated.
  Use `InstructionConst.IXOR`.
  `static final ConversionInstruction`
  `L2D`
  Deprecated.
  Use `InstructionConst.L2D`.
  `static final ConversionInstruction`
  `L2F`
  Deprecated.
  Use `InstructionConst.L2F`.
  `static final ConversionInstruction`
  `L2I`
  Deprecated.
  Use `InstructionConst.L2I`.
  `static final ArithmeticInstruction`
  `LADD`
  Deprecated.
  Use `InstructionConst.LADD`.
  `static final ArrayInstruction`
  `LALOAD`
  Deprecated.
  Use `InstructionConst.LALOAD`.
  `static final ArithmeticInstruction`
  `LAND`
  Deprecated.
  Use `InstructionConst.LAND`.
  `static final ArrayInstruction`
  `LASTORE`
  Deprecated.
  Use `InstructionConst.LASTORE`.
  `static final Instruction`
  `LCMP`
  Deprecated.
  Use `InstructionConst.LCMP`.
  `static final Instruction`
  `LCONST_0`
  Deprecated.
  Use `InstructionConst.LCONST_0`.
  `static final Instruction`
  `LCONST_1`
  Deprecated.
  Use `InstructionConst.LCONST_1`.
  `static final ArithmeticInstruction`
  `LDIV`
  Deprecated.
  Use `InstructionConst.LDIV`.
  `static final ArithmeticInstruction`
  `LMUL`
  Deprecated.
  Use `InstructionConst.LMUL`.
  `static final ArithmeticInstruction`
  `LNEG`
  Deprecated.
  Use `InstructionConst.LNEG`.
  `static final ArithmeticInstruction`
  `LOR`
  Deprecated.
  Use `InstructionConst.LOR`.
  `static final ArithmeticInstruction`
  `LREM`
  Deprecated.
  Use `InstructionConst.LREM`.
  `static final ReturnInstruction`
  `LRETURN`
  Deprecated.
  Use `InstructionConst.LRETURN`.
  `static final ArithmeticInstruction`
  `LSHL`
  Deprecated.
  Use `InstructionConst.LSHL`.
  `static final ArithmeticInstruction`
  `LSHR`
  Deprecated.
  Use `InstructionConst.LSHR`.
  `static final ArithmeticInstruction`
  `LSUB`
  Deprecated.
  Use `InstructionConst.LSUB`.
  `static final ArithmeticInstruction`
  `LUSHR`
  Deprecated.
  Use `InstructionConst.LUSHR`.
  `static final ArithmeticInstruction`
  `LXOR`
  Deprecated.
  Use `InstructionConst.LXOR`.
  `static final Instruction`
  `MONITORENTER`
  Deprecated.
  Use `InstructionConst.MONITORENTER`.
  `static final Instruction`
  `MONITOREXIT`
  Deprecated.
  Use `InstructionConst.MONITOREXIT`.
  `static final Instruction`
  `NOP`
  Deprecated.
  Use `InstructionConst.NOP`.
  `static final StackInstruction`
  `POP`
  Deprecated.
  Use `InstructionConst.POP`.
  `static final StackInstruction`
  `POP2`
  Deprecated.
  Use `InstructionConst.POP2`.
  `static final ReturnInstruction`
  `RETURN`
  Deprecated.
  Use `InstructionConst.RETURN`.
  `static final ArrayInstruction`
  `SALOAD`
  Deprecated.
  Use `InstructionConst.SALOAD`.
  `static final ArrayInstruction`
  `SASTORE`
  Deprecated.
  Use `InstructionConst.SASTORE`.
  `static final StackInstruction`
  `SWAP`
  Deprecated.
  Use `InstructionConst.SWAP`.
  `static final LocalVariableInstruction`
  `THIS`
  Deprecated.
  Use `InstructionConst.THIS`.

- ## Field Details

  - ### NOP

    @Deprecated static final Instruction NOP
    Deprecated.
    Use `InstructionConst.NOP`.
    NOP instruction.

  - ### ACONST_NULL

    @Deprecated static final Instruction ACONST_NULL
    Deprecated.
    Use `InstructionConst.ACONST_NULL`.
    ACONST_NULL instruction.

  - ### ICONST_M1

    @Deprecated static final Instruction ICONST_M1
    Deprecated.
    Use `InstructionConst.ICONST_M1`.
    ICONST_M1 instruction.

  - ### ICONST_0

    @Deprecated static final Instruction ICONST_0
    Deprecated.
    Use `InstructionConst.ICONST_0`.
    ICONST_0 instruction.

  - ### ICONST_1

    @Deprecated static final Instruction ICONST_1
    Deprecated.
    Use `InstructionConst.ICONST_1`.
    ICONST_1 instruction.

  - ### ICONST_2

    @Deprecated static final Instruction ICONST_2
    Deprecated.
    Use `InstructionConst.ICONST_2`.
    ICONST_2 instruction.

  - ### ICONST_3

    @Deprecated static final Instruction ICONST_3
    Deprecated.
    Use `InstructionConst.ICONST_3`.
    ICONST_3 instruction.

  - ### ICONST_4

    @Deprecated static final Instruction ICONST_4
    Deprecated.
    Use `InstructionConst.ICONST_4`.
    ICONST_4 instruction.

  - ### ICONST_5

    @Deprecated static final Instruction ICONST_5
    Deprecated.
    Use `InstructionConst.ICONST_5`.
    ICONST_5 instruction.

  - ### LCONST_0

    @Deprecated static final Instruction LCONST_0
    Deprecated.
    Use `InstructionConst.LCONST_0`.
    LCONST_0 instruction.

  - ### LCONST_1

    @Deprecated static final Instruction LCONST_1
    Deprecated.
    Use `InstructionConst.LCONST_1`.
    LCONST_1 instruction.

  - ### FCONST_0

    @Deprecated static final Instruction FCONST_0
    Deprecated.
    Use `InstructionConst.FCONST_0`.
    FCONST_0 instruction.

  - ### FCONST_1

    @Deprecated static final Instruction FCONST_1
    Deprecated.
    Use `InstructionConst.FCONST_1`.
    FCONST_1 instruction.

  - ### FCONST_2

    @Deprecated static final Instruction FCONST_2
    Deprecated.
    Use `InstructionConst.FCONST_2`.
    FCONST_2 instruction.

  - ### DCONST_0

    @Deprecated static final Instruction DCONST_0
    Deprecated.
    Use `InstructionConst.DCONST_0`.
    DCONST_0 instruction.

  - ### DCONST_1

    @Deprecated static final Instruction DCONST_1
    Deprecated.
    Use `InstructionConst.DCONST_1`.
    DCONST_1 instruction.

  - ### IALOAD

    @Deprecated static final ArrayInstruction IALOAD
    Deprecated.
    Use `InstructionConst.IALOAD`.
    IALOAD instruction.

  - ### LALOAD

    @Deprecated static final ArrayInstruction LALOAD
    Deprecated.
    Use `InstructionConst.LALOAD`.
    LALOAD instruction.

  - ### FALOAD

    @Deprecated static final ArrayInstruction FALOAD
    Deprecated.
    Use `InstructionConst.FALOAD`.
    FALOAD instruction.

  - ### DALOAD

    @Deprecated static final ArrayInstruction DALOAD
    Deprecated.
    Use `InstructionConst.DALOAD`.
    DALOAD instruction.

  - ### AALOAD

    @Deprecated static final ArrayInstruction AALOAD
    Deprecated.
    Use `InstructionConst.AALOAD`.
    AALOAD instruction.

  - ### BALOAD

    @Deprecated static final ArrayInstruction BALOAD
    Deprecated.
    Use `InstructionConst.BALOAD`.
    BALOAD instruction.

  - ### CALOAD

    @Deprecated static final ArrayInstruction CALOAD
    Deprecated.
    Use `InstructionConst.CALOAD`.
    CALOAD instruction.

  - ### SALOAD

    @Deprecated static final ArrayInstruction SALOAD
    Deprecated.
    Use `InstructionConst.SALOAD`.
    SALOAD instruction.

  - ### IASTORE

    @Deprecated static final ArrayInstruction IASTORE
    Deprecated.
    Use `InstructionConst.IASTORE`.
    IASTORE instruction.

  - ### LASTORE

    @Deprecated static final ArrayInstruction LASTORE
    Deprecated.
    Use `InstructionConst.LASTORE`.
    LASTORE instruction.

  - ### FASTORE

    @Deprecated static final ArrayInstruction FASTORE
    Deprecated.
    Use `InstructionConst.FASTORE`.
    FASTORE instruction.

  - ### DASTORE

    @Deprecated static final ArrayInstruction DASTORE
    Deprecated.
    Use `InstructionConst.DASTORE`.
    DASTORE instruction.

  - ### AASTORE

    @Deprecated static final ArrayInstruction AASTORE
    Deprecated.
    Use `InstructionConst.AASTORE`.
    AASTORE instruction.

  - ### BASTORE

    @Deprecated static final ArrayInstruction BASTORE
    Deprecated.
    Use `InstructionConst.BASTORE`.
    BASTORE instruction.

  - ### CASTORE

    @Deprecated static final ArrayInstruction CASTORE
    Deprecated.
    Use `InstructionConst.CASTORE`.
    CASTORE instruction.

  - ### SASTORE

    @Deprecated static final ArrayInstruction SASTORE
    Deprecated.
    Use `InstructionConst.SASTORE`.
    SASTORE instruction.

  - ### POP

    @Deprecated static final StackInstruction POP
    Deprecated.
    Use `InstructionConst.POP`.
    POP instruction.

  - ### POP2

    @Deprecated static final StackInstruction POP2
    Deprecated.
    Use `InstructionConst.POP2`.
    POP2 instruction.

  - ### DUP

    @Deprecated static final StackInstruction DUP
    Deprecated.
    Use `InstructionConst.DUP`.
    DUP instruction.

  - ### DUP_X1

    @Deprecated static final StackInstruction DUP_X1
    Deprecated.
    Use `InstructionConst.DUP_X1`.
    DUP_X1 instruction.

  - ### DUP_X2

    @Deprecated static final StackInstruction DUP_X2
    Deprecated.
    Use `InstructionConst.DUP_X2`.
    DUP_X2 instruction.

  - ### DUP2

    @Deprecated static final StackInstruction DUP2
    Deprecated.
    Use `InstructionConst.DUP2`.
    DUP2 instruction.

  - ### DUP2_X1

    @Deprecated static final StackInstruction DUP2_X1
    Deprecated.
    Use `InstructionConst.DUP2_X1`.
    DUP2_X1 instruction.

  - ### DUP2_X2

    @Deprecated static final StackInstruction DUP2_X2
    Deprecated.
    Use `InstructionConst.DUP2_X2`.
    DUP2_X2 instruction.

  - ### SWAP

    @Deprecated static final StackInstruction SWAP
    Deprecated.
    Use `InstructionConst.SWAP`.
    SWAP instruction.

  - ### IADD

    @Deprecated static final ArithmeticInstruction IADD
    Deprecated.
    Use `InstructionConst.IADD`.
    IADD instruction.

  - ### LADD

    @Deprecated static final ArithmeticInstruction LADD
    Deprecated.
    Use `InstructionConst.LADD`.
    LADD instruction.

  - ### FADD

    @Deprecated static final ArithmeticInstruction FADD
    Deprecated.
    Use `InstructionConst.FADD`.
    FADD instruction.

  - ### DADD

    @Deprecated static final ArithmeticInstruction DADD
    Deprecated.
    Use `InstructionConst.DADD`.
    DADD instruction.

  - ### ISUB

    @Deprecated static final ArithmeticInstruction ISUB
    Deprecated.
    Use `InstructionConst.ISUB`.
    ISUB instruction.

  - ### LSUB

    @Deprecated static final ArithmeticInstruction LSUB
    Deprecated.
    Use `InstructionConst.LSUB`.
    LSUB instruction.

  - ### FSUB

    @Deprecated static final ArithmeticInstruction FSUB
    Deprecated.
    Use `InstructionConst.FSUB`.
    FSUB instruction.

  - ### DSUB

    @Deprecated static final ArithmeticInstruction DSUB
    Deprecated.
    Use `InstructionConst.DSUB`.
    DSUB instruction.

  - ### IMUL

    @Deprecated static final ArithmeticInstruction IMUL
    Deprecated.
    Use `InstructionConst.IMUL`.
    IMUL instruction.

  - ### LMUL

    @Deprecated static final ArithmeticInstruction LMUL
    Deprecated.
    Use `InstructionConst.LMUL`.
    LMUL instruction.

  - ### FMUL

    @Deprecated static final ArithmeticInstruction FMUL
    Deprecated.
    Use `InstructionConst.FMUL`.
    FMUL instruction.

  - ### DMUL

    @Deprecated static final ArithmeticInstruction DMUL
    Deprecated.
    Use `InstructionConst.DMUL`.
    DMUL instruction.

  - ### IDIV

    @Deprecated static final ArithmeticInstruction IDIV
    Deprecated.
    Use `InstructionConst.IDIV`.
    IDIV instruction.

  - ### LDIV

    @Deprecated static final ArithmeticInstruction LDIV
    Deprecated.
    Use `InstructionConst.LDIV`.
    LDIV instruction.

  - ### FDIV

    @Deprecated static final ArithmeticInstruction FDIV
    Deprecated.
    Use `InstructionConst.FDIV`.
    FDIV instruction.

  - ### DDIV

    @Deprecated static final ArithmeticInstruction DDIV
    Deprecated.
    Use `InstructionConst.DDIV`.
    DDIV instruction.

  - ### IREM

    @Deprecated static final ArithmeticInstruction IREM
    Deprecated.
    Use `InstructionConst.IREM`.
    IREM instruction.

  - ### LREM

    @Deprecated static final ArithmeticInstruction LREM
    Deprecated.
    Use `InstructionConst.LREM`.
    LREM instruction.

  - ### FREM

    @Deprecated static final ArithmeticInstruction FREM
    Deprecated.
    Use `InstructionConst.FREM`.
    FREM instruction.

  - ### DREM

    @Deprecated static final ArithmeticInstruction DREM
    Deprecated.
    Use `InstructionConst.DREM`.
    DREM instruction.

  - ### INEG

    @Deprecated static final ArithmeticInstruction INEG
    Deprecated.
    Use `InstructionConst.INEG`.
    INEG instruction.

  - ### LNEG

    @Deprecated static final ArithmeticInstruction LNEG
    Deprecated.
    Use `InstructionConst.LNEG`.
    LNEG instruction.

  - ### FNEG

    @Deprecated static final ArithmeticInstruction FNEG
    Deprecated.
    Use `InstructionConst.FNEG`.
    FNEG instruction.

  - ### DNEG

    @Deprecated static final ArithmeticInstruction DNEG
    Deprecated.
    Use `InstructionConst.DNEG`.
    DNEG instruction.

  - ### ISHL

    @Deprecated static final ArithmeticInstruction ISHL
    Deprecated.
    Use `InstructionConst.ISHL`.
    ISHL instruction.

  - ### LSHL

    @Deprecated static final ArithmeticInstruction LSHL
    Deprecated.
    Use `InstructionConst.LSHL`.
    LSHL instruction.

  - ### ISHR

    @Deprecated static final ArithmeticInstruction ISHR
    Deprecated.
    Use `InstructionConst.ISHR`.
    ISHR instruction.

  - ### LSHR

    @Deprecated static final ArithmeticInstruction LSHR
    Deprecated.
    Use `InstructionConst.LSHR`.
    LSHR instruction.

  - ### IUSHR

    @Deprecated static final ArithmeticInstruction IUSHR
    Deprecated.
    Use `InstructionConst.IUSHR`.
    IUSHR instruction.

  - ### LUSHR

    @Deprecated static final ArithmeticInstruction LUSHR
    Deprecated.
    Use `InstructionConst.LUSHR`.
    LUSHR instruction.

  - ### IAND

    @Deprecated static final ArithmeticInstruction IAND
    Deprecated.
    Use `InstructionConst.IAND`.
    IAND instruction.

  - ### LAND

    @Deprecated static final ArithmeticInstruction LAND
    Deprecated.
    Use `InstructionConst.LAND`.
    LAND instruction.

  - ### IOR

    @Deprecated static final ArithmeticInstruction IOR
    Deprecated.
    Use `InstructionConst.IOR`.
    IOR instruction.

  - ### LOR

    @Deprecated static final ArithmeticInstruction LOR
    Deprecated.
    Use `InstructionConst.LOR`.
    LOR instruction.

  - ### IXOR

    @Deprecated static final ArithmeticInstruction IXOR
    Deprecated.
    Use `InstructionConst.IXOR`.
    IXOR instruction.

  - ### LXOR

    @Deprecated static final ArithmeticInstruction LXOR
    Deprecated.
    Use `InstructionConst.LXOR`.
    LXOR instruction.

  - ### I2L

    @Deprecated static final ConversionInstruction I2L
    Deprecated.
    Use `InstructionConst.I2L`.
    I2L instruction.

  - ### I2F

    @Deprecated static final ConversionInstruction I2F
    Deprecated.
    Use `InstructionConst.I2F`.
    I2F instruction.

  - ### I2D

    @Deprecated static final ConversionInstruction I2D
    Deprecated.
    Use `InstructionConst.I2D`.
    I2D instruction.

  - ### L2I

    @Deprecated static final ConversionInstruction L2I
    Deprecated.
    Use `InstructionConst.L2I`.
    L2I instruction.

  - ### L2F

    @Deprecated static final ConversionInstruction L2F
    Deprecated.
    Use `InstructionConst.L2F`.
    L2F instruction.

  - ### L2D

    @Deprecated static final ConversionInstruction L2D
    Deprecated.
    Use `InstructionConst.L2D`.
    L2D instruction.

  - ### F2I

    @Deprecated static final ConversionInstruction F2I
    Deprecated.
    Use `InstructionConst.F2I`.
    F2I instruction.

  - ### F2L

    @Deprecated static final ConversionInstruction F2L
    Deprecated.
    Use `InstructionConst.F2L`.
    F2L instruction.

  - ### F2D

    @Deprecated static final ConversionInstruction F2D
    Deprecated.
    Use `InstructionConst.F2D`.
    F2D instruction.

  - ### D2I

    @Deprecated static final ConversionInstruction D2I
    Deprecated.
    Use `InstructionConst.D2I`.
    D2I instruction.

  - ### D2L

    @Deprecated static final ConversionInstruction D2L
    Deprecated.
    Use `InstructionConst.D2L`.
    D2L instruction.

  - ### D2F

    @Deprecated static final ConversionInstruction D2F
    Deprecated.
    Use `InstructionConst.D2F`.
    D2F instruction.

  - ### I2B

    @Deprecated static final ConversionInstruction I2B
    Deprecated.
    Use `InstructionConst.I2B`.
    I2B instruction.

  - ### I2C

    @Deprecated static final ConversionInstruction I2C
    Deprecated.
    Use `InstructionConst.I2C`.
    I2C instruction.

  - ### I2S

    @Deprecated static final ConversionInstruction I2S
    Deprecated.
    Use `InstructionConst.I2S`.
    I2S instruction.

  - ### LCMP

    @Deprecated static final Instruction LCMP
    Deprecated.
    Use `InstructionConst.LCMP`.
    LCMP instruction.

  - ### FCMPL

    @Deprecated static final Instruction FCMPL
    Deprecated.
    Use `InstructionConst.FCMPL`.
    FCMPL instruction.

  - ### FCMPG

    @Deprecated static final Instruction FCMPG
    Deprecated.
    Use `InstructionConst.FCMPG`.
    FCMPG instruction.

  - ### DCMPL

    @Deprecated static final Instruction DCMPL
    Deprecated.
    Use `InstructionConst.DCMPL`.
    DCMPL instruction.

  - ### DCMPG

    @Deprecated static final Instruction DCMPG
    Deprecated.
    Use `InstructionConst.DCMPG`.
    DCMPG instruction.

  - ### IRETURN

    @Deprecated static final ReturnInstruction IRETURN
    Deprecated.
    Use `InstructionConst.IRETURN`.
    IRETURN instruction.

  - ### LRETURN

    @Deprecated static final ReturnInstruction LRETURN
    Deprecated.
    Use `InstructionConst.LRETURN`.
    LRETURN instruction.

  - ### FRETURN

    @Deprecated static final ReturnInstruction FRETURN
    Deprecated.
    Use `InstructionConst.FRETURN`.
    FRETURN instruction.

  - ### DRETURN

    @Deprecated static final ReturnInstruction DRETURN
    Deprecated.
    Use `InstructionConst.DRETURN`.
    DRETURN instruction.

  - ### ARETURN

    @Deprecated static final ReturnInstruction ARETURN
    Deprecated.
    Use `InstructionConst.ARETURN`.
    ARETURN instruction.

  - ### RETURN

    @Deprecated static final ReturnInstruction RETURN
    Deprecated.
    Use `InstructionConst.RETURN`.
    RETURN instruction.

  - ### ARRAYLENGTH

    @Deprecated static final Instruction ARRAYLENGTH
    Deprecated.
    Use `InstructionConst.ARRAYLENGTH`.
    ARRAYLENGTH instruction.

  - ### ATHROW

    @Deprecated static final Instruction ATHROW
    Deprecated.
    Use `InstructionConst.ATHROW`.
    ATHROW instruction.

  - ### MONITORENTER

    @Deprecated static final Instruction MONITORENTER
    Deprecated.
    Use `InstructionConst.MONITORENTER`.
    MONITORENTER instruction.

  - ### MONITOREXIT

    @Deprecated static final Instruction MONITOREXIT
    Deprecated.
    Use `InstructionConst.MONITOREXIT`.
    MONITOREXIT instruction.

  - ### THIS

    @Deprecated static final LocalVariableInstruction THIS
    Deprecated.
    Use `InstructionConst.THIS`.
    You can use these constants in multiple places safely, if you can guarantee that you will never alter their internal values, for example call setIndex().

  - ### ALOAD_0

    @Deprecated static final LocalVariableInstruction ALOAD_0
    Deprecated.
    Use `InstructionConst.ALOAD_0`.
    ALOAD_0 instruction.

  - ### ALOAD_1

    @Deprecated static final LocalVariableInstruction ALOAD_1
    Deprecated.
    Use `InstructionConst.ALOAD_1`.
    ALOAD_1 instruction.

  - ### ALOAD_2

    @Deprecated static final LocalVariableInstruction ALOAD_2
    Deprecated.
    Use `InstructionConst.ALOAD_2`.
    ALOAD_2 instruction.

  - ### ILOAD_0

    @Deprecated static final LocalVariableInstruction ILOAD_0
    Deprecated.
    Use `InstructionConst.ILOAD_0`.
    ILOAD_0 instruction.

  - ### ILOAD_1

    @Deprecated static final LocalVariableInstruction ILOAD_1
    Deprecated.
    Use `InstructionConst.ILOAD_1`.
    ILOAD_1 instruction.

  - ### ILOAD_2

    @Deprecated static final LocalVariableInstruction ILOAD_2
    Deprecated.
    Use `InstructionConst.ILOAD_2`.
    ILOAD_2 instruction.

  - ### ASTORE_0

    @Deprecated static final LocalVariableInstruction ASTORE_0
    Deprecated.
    Use `InstructionConst.ASTORE_0`.
    ASTORE_0 instruction.

  - ### ASTORE_1

    @Deprecated static final LocalVariableInstruction ASTORE_1
    Deprecated.
    Use `InstructionConst.ASTORE_1`.
    ASTORE_1 instruction.

  - ### ASTORE_2

    @Deprecated static final LocalVariableInstruction ASTORE_2
    Deprecated.
    Use `InstructionConst.ASTORE_2`.
    ASTORE_2 instruction.

  - ### ISTORE_0

    @Deprecated static final LocalVariableInstruction ISTORE_0
    Deprecated.
    Use `InstructionConst.ISTORE_0`.
    ISTORE_0 instruction.

  - ### ISTORE_1

    @Deprecated static final LocalVariableInstruction ISTORE_1
    Deprecated.
    Use `InstructionConst.ISTORE_1`.
    ISTORE_1 instruction.

  - ### ISTORE_2

    @Deprecated static final LocalVariableInstruction ISTORE_2
    Deprecated.
    Use `InstructionConst.ISTORE_2`.
    ISTORE_2 instruction.

  - ### INSTRUCTIONS

    @Deprecated static final Instruction[] INSTRUCTIONS
    Deprecated.
    Use `InstructionConst.INSTRUCTIONS`.
    Gets object via its opcode, for immutable instructions like branch instructions entries are set to null.

  - ### bla

    static final InstructionConstants.Clinit bla
    Deprecated.
    Interfaces may have no static initializers, so we simulate this with an inner class.